Linkout Attribution

The linkout attribution endpoint allows you to connect Yelp events, with relevant events of your service.

Example

If you provide a booking service and are partnered with Yelp, we will send a linkout URL on business booking events.
The linkout URL will look like: https://partner.example.com/book?yelp_token=abcd-1234

You will need to store the provided token for 30 days so it can be linked to further updates.

Then, to update the status of the booking event, send a POST request with a 'booking' vertical echoing the yelp token from the linkout, like so:

Endpoint: https://api.yelp.com/v3/webhooks/conversions/booking
Body:

{
    "yelp_token": "abcd-1234",
    "event_type": "confirmed",
    "event_timestamp": 1774619463560,
    "external_id": "123456789",
    "original_external_id": "1234567890",
    "booking_details_url": "https://partner.example.com/appointments/123456789",
    "booked_services": [
        {
            "title": "Haircut and Style",
            "provider": "Mike's Salon",
            "duration_minutes": 60,
            "start_datetime": "1774619463560",
            "order_value": {
                "price": 90.0,
                "currency": "USD"
            }
        },
    ]
}

A success will return an empty 200 response.

Note: The format for the authorization header is "Bearer <API_KEY>", i.e. for curl -H Authorization: Bearer <API_KEY>. For details see Authentication

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Denotes what type of webhook event the request belongs to.
Required to process and link the event appropriately as more support is implemented.

Allowed:
Query Params
boolean
Defaults to false

Allows for testing the request without enacting any lasting changes.
The endpoint will respond with an appropriate error response if there are issues with the request, or with success if there were no issues found.

Body Params

Generic partner attribution request body

string
required

The Base64 encoded string passed by query parameter of linkout URL, and stored by the partner.
Has to be included in the webhook event associated with the original linkout.

string
enum
required

Booking event type

Allowed:
integer
required

Epoch timestamp of event, in milliseconds

string
required

External id in the partner domain representing the booking

string

For “rescheduled” events, this will be the original booking id if a new one has been created

string

For events where a user decided to still go through with the booking, but with a different biz.
This is the partner encoded biz id, which will be associated with Yelp biz id server-side.

string

Callback URL for Yelp to directly retrieve the details of the booking

booked_services
array of objects
booked_services
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json